<template>
  <div>
    <form class="form">
      <label for="brand">Brand </label>
      <input id="brand" type="text" v-model="phone.brand" required>
      <br /> <br />
      <label for="color">Color </label>
      <input id="color" type="text" v-model="phone.color" required>
      <br /> <br />
      <label for="price">Price </label>
      <input id="price" type="number" v-model="phone.price" required>
      <br /> <br />
      <label for="year">Year </label>
      <input id="year" type="text" v-model="phone.age" required>
      <br /> <br />
      <label for="bluetooth">Bluetooth(yes/no) </label>
      <input id="bluetooth" type="text" v-model="phone.bluetooth" required>
      <br /> <br />
      <label for="port">Port(yes/no) </label>
      <input id="port" type="text" v-model="phone.port" required>
      <br /> <br />
      <label for="img">Img </label>
      <input id="img" type="text" v-model="phone.img" required>
      <br /> <br />
      <button @click="addPhone()">Add Phone</button>
    </form>
  </div>
</template>

<script>
import { mapActions } from "vuex";

export default {
  name: 'AddPage',

  data() {
    return {
      phone: {
        brand: '',
        color: '',
        price: 0,
        age: '',
        bluetooth: '',
        port: '',
        img: ''
      }
    }
  },

  methods: {
    ...mapActions('phones', ['addItem', 'loadList']),

    addPhone() {
      const phone = JSON.parse(JSON.stringify(this.phone));

      this.addItem(phone);

      this.$router.push('/catalog');
    }
  },

  async created() {
    await this.loadList();
  }
}
</script>

<style lang="scss" scoped>

</style>